<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/vod/vod_list_screen.php';

class SundukVodListScreen extends VodListScreen
{
    public static function get_media_url_str($sorting = 'last', $filter = array())
    {
        $arr['screen_id'] = self::ID;
        $arr['filter'] = $filter;
        $arr['sorting'] = $sorting;
        return MediaURL::encode($arr);
    }

    ///////////////////////////////////////////////////////////////////////

    private $session;

    public function __construct($session, Vod $vod)
    {
        parent::__construct($vod);

        $this->session = $session;
    }

    ///////////////////////////////////////////////////////////////////////

    private function get_page_for_ndx($ndx, $page_size)
    {
        return intval($ndx / $page_size) + 1;
    }

    protected function get_short_movie_range(MediaURL $media_url, $from_ndx,
        &$plugin_cookies)
    {
        hd_print('SundukVodListScreen->get_short_movie_range $media_url: '.print_r($media_url, true));
        
        $nums = 24;
        $page = $this->get_page_for_ndx($from_ndx, $nums);

        $doc = $this->session->api_vod_list($page, $nums, $media_url->sorting, $media_url->filter);
        
        if (!isset($doc->total))
            throw new Exception('Invalid data returned from server');

        $total = intval($doc->total);
        if ($total === 0)
            return new ShortMovieRange(0, 0);

//        $from_ndx = (intval($doc->page) - 1) * $nums;

        $movies = array();
        foreach ($doc->rows as $row)
        {                 
            $icon_url = 'http://' . SUNDUK::$SERVER . $row->poster;
            $movies[] = new SundukShortMovie(
                $row->id, $row->name, $icon_url, $row->viewed);
        }

        return new ShortMovieRange($from_ndx, $total, $movies);
    }
}

///////////////////////////////////////////////////////////////////////////
?>
