<?php
require_once 'lib/abstract_preloaded_regular_screen.php';

class SundukVodRootScreen extends AbstractPreloadedRegularScreen {
    const ID = 'vod_root';
    private $session;
    public function __construct($session, $folder_views) {
        parent::__construct(self::ID, $folder_views);
        $this->session = $session;
    }
    public function get_action_map(MediaURL $media_url, &$plugin_cookies) {
        return array
            (
            GUI_EVENT_KEY_ENTER => ActionFactory::open_folder(),
        );
    }
    public function get_all_folder_items(MediaURL $media_url, &$plugin_cookies) {
        $items = array();
        $items[] = array
            (
            PluginRegularFolderItem::media_url => VodFavoritesScreen::get_media_url_str(),
            PluginRegularFolderItem::caption => 'Избранное',
            PluginRegularFolderItem::view_item_params => array
                (
                ViewItemParams::icon_path =>
                $this->session->get_icon('vod_favorites.png')
            )
        );
        $items[] = array
            (
            PluginRegularFolderItem::media_url => SundukVodSearchScreen::get_media_url_str(),
            PluginRegularFolderItem::caption => 'Поиск',
            PluginRegularFolderItem::view_item_params => array
                (
                ViewItemParams::icon_path =>
                $this->session->get_icon('vod_search.png')
            )
        );
        $items[] = array
            (
            PluginRegularFolderItem::media_url => SundukVodGenresScreen::get_media_url_str(),
            PluginRegularFolderItem::caption => 'Все видео',
            PluginRegularFolderItem::view_item_params => array
                (
                ViewItemParams::icon_path =>
                $this->session->get_icon('vod_genres_all.png')
            )
        );
        $types   = $this->session->api_vod_types();
        hd_print('SundukVodRootScreen->get_all_folder_items $types ' . print_r($types, true));
        foreach ($types->types as $type) {
            $items[] = array
                (
                PluginRegularFolderItem::media_url        => SundukVodGenresScreen::get_media_url_str($type->id),
                PluginRegularFolderItem::caption          => $type->name,
                PluginRegularFolderItem::view_item_params => array
                    (
                    ViewItemParams::icon_path =>
                    $this->session->get_icon('vod_genres_' . $type->id . '.png')
                )
            );
        }
        return $items;
    }
}
